Net::Frame::Layer::NULL(3)

NAME
Net::Frame::Layer::NULL - BSD loopback layer object

SYNOPSIS
   use Net::Frame::Layer::NULL qw(:consts);

   # Build a layer
   my $layer = Net::Frame::Layer::NULL->new(
      type => NF_NULL_TYPE_IPv4,
   );
   $layer->pack;

   print 'RAW: '.$layer->dump."\n";

   # Read a raw layer
   my $layer = Net::Frame::Layer::NULL->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the BSD loopback layer.

See also Net::Frame::Layer for other attributes and methods.

ATTRIBUTES

type
    Stores the type of encapsulated layer.

The following are inherited attributes. See Net::Frame::Layer for more information.

raw
payload
nextLayer

METHODS

new
new (hash)
    Object constructor. You can pass attributes that will overwrite default ones. See SYNOPSIS for default values.

The following are inherited methods. Some of them may be overridden in this layer, and some others may not be meaningful in this layer. See Net::Frame::Layer for more information.

layer
computeLengths
computeChecksums
pack
unpack
encapsulate
getLength
getPayloadLength
print
dump

CONSTANTS
Load them: use Net::Frame::Layer::NULL qw(:consts);

NF_NULL_TYPE_IPv4
NF_NULL_TYPE_ARP
NF_NULL_TYPE_CGMP
NF_NULL_TYPE_80211
NF_NULL_TYPE_DDP
NF_NULL_TYPE_AARP
NF_NULL_TYPE_WCP
NF_NULL_TYPE_8021Q
NF_NULL_TYPE_IPX
NF_NULL_TYPE_STP
NF_NULL_TYPE_IPv6
NF_NULL_TYPE_WLCCP
NF_NULL_TYPE_PPPoED
NF_NULL_TYPE_PPPoES
NF_NULL_TYPE_8021X
NF_NULL_TYPE_AoE
NF_NULL_TYPE_LLDP
NF_NULL_TYPE_LOOP
NF_NULL_TYPE_VLAN
NF_NULL_TYPE_ETH
    Various supported encapsulated layer types.

SEE ALSO
Net::Frame::Layer

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2006-2019, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.